<template>
	<div class="home-head">
		<BackButton v-if="showBackButton" @click="goBack()"></BackButton>
		<span>{{ title }}</span>
		<div class="logos" v-if="showIcon">
			<VariableLogo class="logo"></VariableLogo>
			<div v-if="!profile || setOrden" class="icons">
				<img @click="goToOrderOrProfile()" class="orden" src="~@/assets/icons/icon-orden.svg" />
				<img @click="goToMarket()" class="beemarket" src="~@/assets/icons/icon-home.svg" />
			</div>
			<div v-else class="icons">
				<img @click="goToOrderOrProfile()" class="profile" src="~@/assets/icons/icon-miperfil.svg" />
				<img @click="goToMarket()" class="beemarket" src="~@/assets/icons/icon-home.svg" />
			</div>
		</div>
	</div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from 'vue-property-decorator'
import VariableLogo from '@/components/VariableLogo.vue'
import BackButton from '@/components/BackButton.vue'
import { TypeOrder } from '@/store/state'
import Menu from '@/models/Menu'
@Component({
	components: {
		VariableLogo,
		BackButton
	}
})
export default class CommonHeader extends Vue {
	@Prop({ default: '' }) readonly title!: string
	@Prop({ default: true }) readonly showBackButton!: boolean
	@Prop({ default: true}) readonly showIcon!: boolean
	@Prop({ default: false}) readonly setOrden!: boolean

	profile = false
	typeOrder = this.$store.state.typeOrder
	menu = this.$store.state.menu as Menu
	
	goBack() {
		if(this.$router.currentRoute.path == '/SummaryDeliveryConfirm'){
			this.$router.push("/menu")
		}else if(this.$router.currentRoute.path == '/locations'){
			this.$router.push("/summary")
		}else{
			history.back()
		}
	}

	goToMarket(){
		this.$router.push("/")
	}

	goToOrderOrProfile(){
		if(this.$router.currentRoute.path == '/SummaryDeliveryConfirm'){
			this.$router.push("/menu")
		}
		else if(this.profile && !this.setOrden){
			this.$store.state.user ? this.$router.push("/profile") : this.$router.push("/login")
		}else{
			this.$router.currentRoute.path == '/menu' ? this.$router.push("/order") : this.$router.push("/menu")
		}
	}

	created(){
		if(this.menu){
			if(this.typeOrder == TypeOrder.DELIVERY || this.typeOrder == TypeOrder.COLLECT){
				this.profile = true
			}else{
				this.menu.useLogin ? this.profile = true : this.profile = false
			}
		}
	}
}
</script>

<style lang="scss" scoped>
.home-head {
	background-color: black;
	padding: 10px;
	display: flex;
	flex-direction: row;
	color: #ffffff;
	justify-content: space-between;
	align-items: center;

	span {
		margin-left: 50px;
		font-size: 11px;
	}

	button {
		height: 100%;
	}
	.logos {
		display: flex;
		align-items: center;
		.logo {
			height: 13px;
		}
		.orden {
			width: 35px;
		}
		.profile{
			width: 35px;
			border-radius: 50%;
		}
		.beemarket{
			width: 35px;
			border-radius: 50%;
			background-color: #f8c83b;
			margin-right: 5px;
			margin-left: 5px;
		}
		.icons{
			display: flex;
			height: 35px;
		}
	}
}
</style>
